Package org.eclipse.emf.cdo.common.branch

# Class CDOBranchRef

java.lang.Object
org.eclipse.emf.cdo.common.branch.CDOBranchRef

All Implemented Interfaces:
  `Serializable`

public final class CDOBranchRef extends Object implements Serializable
References a `CDOBranch`.

Since:
  4.10
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CDOBranchRef.Provider`
Provides `branch references`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOBranchRef`
`MAIN`

## Constructor Summary

Constructors
Constructor
Description
`CDOBranchRef(String branchPath)`
`CDOBranchRef(CDOBranch branch)`
`CDOBranchRef(CDODataInput in)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getBranchPath()`
`CDOBranchPointRef`
`getHeadRef()`
`CDOBranchPointRef`
`getPointRef(long timeStamp)`
`int`
`hashCode()`
`boolean`
`isMainBranch()`
`CDOBranch`
`resolve(CDOBranchManager branchManager)`
`String`
`toString()`
`void`
`write(CDODataOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### MAIN

public static final CDOBranchRef MAIN

Since:
  4.12

## Constructor Details

### CDOBranchRef

public CDOBranchRef(CDOBranch branch)

### CDOBranchRef

public CDOBranchRef(String branchPath)

### CDOBranchRef

public CDOBranchRef(CDODataInput in) throws IOException

Throws:
  `IOException`

## Method Details

### write

public void write(CDODataOutput out) throws IOException

Throws:
  `IOException`

### getBranchPath

public String getBranchPath()

### isMainBranch

public boolean isMainBranch()

### getPointRef

public CDOBranchPointRef getPointRef(long timeStamp)

Since:
  4.12

### getHeadRef

public CDOBranchPointRef getHeadRef()

Since:
  4.12

### resolve

public CDOBranch resolve(CDOBranchManager branchManager)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`